Bug 1019349 - error message when starting gnome-tweak-tool: /usr/share/locale/*/LC_MESSAGES/gnome-shell-extensions.mo files are empty
error message when starting gnome-tweak-tool: /usr/share/locale/*/LC_MESSAGES...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell-extensions (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Florian Müllner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 10:22 EDT by Mike FABIAN
Modified: 2015-06-29 08:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:38:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike FABIAN 2013-10-15 10:22:56 EDT
Fedora 20 Beta TC3. All  desktops installed, including gnome-classic-session.

When starting gnome-tweak-tool, I see the error message:

CRITICAL: Error parsing schema org.gnome.shell.extensions.classic-overrides (/usr/share/glib-2.0/schemas/org.gnome.shell.extensions.classic-overrides.gschema.xml)
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gtweak/gsettings.py", line 66, in __init__
    translation = gettext.translation(gettext_domain, gtweak.LOCALE_DIR)
  File "/usr/lib64/python2.7/gettext.py", line 480, in translation
    t = _translations.setdefault(key, class_(fp))
  File "/usr/lib64/python2.7/gettext.py", line 180, in __init__
    self._parse(fp)
  File "/usr/lib64/python2.7/gettext.py", line 273, in _parse
    magic = unpack('<I', buf[:4])[0]
error: unpack requires a string argument of length 4

The reason seems to be that the files

   /usr/share/locale/*/LC_MESSAGES/gnome-shell-extensions.mo

are all empty.
Comment 1 Mike FABIAN 2013-10-15 11:04:20 EDT
[mfabian@Fedora-20-Beta-TC3-x86_64-netins ~]$ rpm -qf  /usr/share/locale/ja/LC_MESSAGES/gnome-shell-extensions.mo
gnome-shell-extension-common-3.10.0-1.fc20.noarch
[mfabian@Fedora-20-Beta-TC3-x86_64-netins ~]$ ll  /usr/share/locale/ja/LC_MESSAGES/gnome-shell-extensions.mo
-rw-r--r--. 1 root root 0 10月 15 15:02 /usr/share/locale/ja/LC_MESSAGES/gnome-shell-extensions.mo
[mfabian@Fedora-20-Beta-TC3-x86_64-netins ~]$ rpm -qlv gnome-shell-extension-common-3.10.0-1.fc20.noarch | grep ja/LC_
-rw-r--r--    1 root    root                     7414  9月 24 14:54 /usr/share/locale/ja/LC_MESSAGES/gnome-shell-extensions.mo
[mfabian@Fedora-20-Beta-TC3-x86_64-netins ~]$
Comment 2 Mike FABIAN 2013-10-15 11:04:47 EDT
[mfabian@Fedora-20-Beta-TC3-x86_64-netins ~]$ rpm --verify gnome-shell-extension-common-3.10.0-1.fc20.noarch
S.5......  d /usr/share/doc/gnome-shell-extension-common/COPYING
S.5......  d /usr/share/doc/gnome-shell-extension-common/NEWS
S.5......  d /usr/share/doc/gnome-shell-extension-common/README
S.5......    /usr/share/locale/an/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/ar/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/as/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/ca/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/cs/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/da/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/de/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/el/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/en_GB/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/eo/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/es/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/et/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/eu/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/fa/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/fi/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/fr/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/fur/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/gl/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/gu/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/he/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/hu/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/id/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/it/LC_MESSAGES/gnome-shell-extensions.mo
S.5....T.    /usr/share/locale/ja/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/kk/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/ko/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/lt/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/lv/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/ml/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/nb/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/nl/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/pa/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/pl/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/pt/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/pt_BR/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/ru/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/sk/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/sl/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/sr/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/sr@latin/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/sv/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/ta/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/te/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/tg/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/uk/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/vi/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/zh_CN/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/zh_HK/LC_MESSAGES/gnome-shell-extensions.mo
S.5......    /usr/share/locale/zh_TW/LC_MESSAGES/gnome-shell-extensions.mo
[mfabian@Fedora-20-Beta-TC3-x86_64-netins ~]$
Comment 3 Mohamed El Morabity 2013-10-15 11:23:32 EDT
(In reply to Mike FABIAN from comment #0)
> The reason seems to be that the files
> 
>    /usr/share/locale/*/LC_MESSAGES/gnome-shell-extensions.mo
> 
> are all empty.

Thanks for your bug report.
I'm unfortunately unable to reproduce your problem. Moreover, locale files from GNOME Shell Extensions doesn't seem to be empty on my system:

[mohamed@localhost ~]$ rpm -qf  /usr/share/locale/ja/LC_MESSAGES/gnome-shell-extensions.mo
gnome-shell-extension-common-3.10.0-1.fc20.noarch
[mohamed@localhost ~]$ ll  /usr/share/locale/ja/LC_MESSAGES/gnome-shell-extensions.mo
-rw-r--r--. 1 root root 7414 24 sept. 14:54 /usr/share/locale/ja/LC_MESSAGES/gnome-shell-extensions.mo
[mohamed@localhost ~]$ rpm -qlv gnome-shell-extension-common-3.10.0-1.fc20.noarch | grep ja/LC_
-rw-r--r--    1 root    root                     7414 sept. 24 14:54 /usr/share/locale/ja/LC_MESSAGES/gnome-shell-extensions.mo
[mohamed@localhost ~]$ rpm --verify gnome-shell-extension-common-3.10.0-1.fc20.noarch
[mohamed@localhost ~]$

By the way, when trying to check the content of the package from the repositories:

[mohamed@localhost ~]$ cd /tmp/
[mohamed@localhost tmp]$ yumdownloader gnome-shell-extension-common
Modules complémentaires chargés : langpacks, refresh-packagekit
gnome-shell-extension-common-3.10.0-1.fc20.noarch.rpm                                     |  99 kB  00:00:00
[mohamed@localhost tmp]$ rpm2cpio gnome-shell-extension-common-3.10.0-1.fc20.noarch.rpm | cpio -dim
727 blocs
[mohamed@localhost tmp]$ ls -l usr/share/locale/ja/LC_MESSAGES/gnome-shell-extensions.mo
-rw-r--r--. 1 mohamed mohamed 7414 24 sept. 14:54 usr/share/locale/ja/LC_MESSAGES/gnome-shell-extensions.mo
[mohamed@localhost tmp]$

Could you try to reinstall the gnome-shell-extension-common with yum, to be sure it's not an issue from the package itself?
# yum reinstall gnome-shell-extension-common
Comment 4 Mike FABIAN 2013-10-15 11:38:08 EDT
It is not a problem in the package itself

- I already tried to build the package with “fedpkg mockbuild” and koji,
  the .mo files are not empty in the package produced

- After “yum reinstall gnome-shell-extension-common” the files are not
  empty anymore.
Comment 5 Fedora Admin XMLRPC Client 2015-03-21 14:50:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2015-05-29 05:34:38 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 08:38:38 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.